import type { HTMLAttributes, MutableRefObject } from "react";
export declare const PolicyToken: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & {
    variant?: string | undefined;
    ref?: MutableRefObject<HTMLButtonElement> | undefined;
} & import("@mantine/core").ButtonProps & import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").ExtraButtonProps & HTMLAttributes<HTMLButtonElement>, {}, {}>;
export declare const StyledLauncher: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").FlexProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    forRoot?: boolean | undefined;
    inheritsRootStrategy?: boolean | undefined;
    variant?: string | undefined;
    ref?: MutableRefObject<HTMLDivElement> | undefined;
} & import("@mantine/core").ButtonProps & import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").ExtraButtonProps & HTMLAttributes<HTMLButtonElement>, {}, {}>;
